CREATE FUNCTION [dbo].[FN_SPOT_GetFiTransactForRoyalty] (
	@p_DOC_YEAR AS VARCHAR(4),
    @p_MAT_NO AS VARCHAR(12),
    @p_PO_NO AS VARCHAR(12),
    @p_FIELD_NAME AS VARCHAR(25)
)
RETURNS VARCHAR
AS
BEGIN
	DECLARE @p_VAL AS VARCHAR(MAX),
    		@p_OUT_VAL AS VARCHAR(MAX);
    
  	EXEC @p_OUT_VAL=dbo.SP_SPOT_ICS_GetFiTransactForRoyalty @p_DOC_YEAR,@p_MAT_NO,@p_PO_NO,@p_FIELD_NAME, @p_VAL OUTPUT
    
    RETURN @p_VAL;
END

